using System;
using System.ComponentModel;
using System.Collections.Generic;
using MVCBlogo.NET.BO;
using MVCBlogo.NET.DAL;

namespace MVCBlogo.NET.BLL
{

    public class CommentManager
    {
        public static int Count(int StartRow, int PageSize)
        {
            return CommentDB.Count(StartRow, PageSize);
        }

        public static List<Comment> GetList()
        {
            return CommentDB.GetList();
        }

        public static List<Comment> GetList(int StartRow, int PageSize)
        {
            return CommentDB.GetList(StartRow, PageSize);
        }

        public static List<Comment> GetList(long parent_id)
        {
            return CommentDB.GetList(parent_id);
        }

        public static Comment GetItem(int id)
        {
            return CommentDB.GetItem(id);
        }

        public static long Save(Comment myComment)
        {
            return CommentDB.Save(myComment);
        }

        public static bool Delete(Comment myComment)
        {
            if (myComment != null)
                return CommentDB.Delete(myComment.id);
            else
                return false;
        }
    }

   
}


